Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.server
Class HARMIServerImpl.RefreshProxiesHATarget

    java.lang.Object
      org.jboss.ha.framework.server.HATarget
          org.jboss.ha.framework.server.HARMIServerImpl.RefreshProxiesHATarget

All Implemented Interfaces:
  DistributedReplicantManager.ReplicantListener

Enclosing class:
  HARMIServerImpl

public class HARMIServerImpl.RefreshProxiesHATarget
extends HATarget

Field Summary
`protected ArrayList` | `generatedProxies`

Fields inherited from class org.jboss.ha.framework.server.HATarget
`allowInvocationsStatus, clusterViewId, DISABLE_INVOCATIONS, ENABLE_INVOCATIONS, latch, log, MAKE_INVOCATIONS_WAIT, partition, replicantName, replicants, target`

Constructor Summary
`HARMIServerImpl.RefreshProxiesHATarget(HAPartition partition, String replicantName, Serializable target, int allowInvocations)`

Method Summary
`void` | `addProxy(HARMIClient client)`
`void` | `init()`
`void` | `replicantsChanged(String key, List newReplicants, int newReplicantsViewId)` Callback called when the content/list of replicant for a given replicant key has changed

Methods inherited from class org.jboss.ha.framework.server.HATarget
`cleanExistenceInCurrentHAPartition, destroy, disable, getAssociatedPartition, getCurrentViewId, getReplicants, invocationsAllowed, releaseCurrentLatch, setInvocationsAuthorization, toString, updateHAPartition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### generatedProxies

    protected ArrayList generatedProxies

Constructor Detail

### HARMIServerImpl.RefreshProxiesHATarget

    public HARMIServerImpl.RefreshProxiesHATarget(HAPartition partition,
                                                  String replicantName,
                                                  Serializable target,
                                                  int allowInvocations)
                                           throws Exception

Method Detail

### init

    public void init()
              throws Exception

  Overrides:
    `init` in class `HATarget`
  Throws:
    `Exception`

### addProxy

    public void addProxy(HARMIClient client)

### replicantsChanged

    public void replicantsChanged(String key,
                                  List newReplicants,
                                  int newReplicantsViewId)

  Description copied from interface: `DistributedReplicantManager.ReplicantListener`
  Callback called when the content/list of replicant for a given replicant key has changed

  Specified by:
    `replicantsChanged` in interface `DistributedReplicantManager.ReplicantListener`
  Overrides:
    `replicantsChanged` in class `HATarget`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.